org.apache.myfaces.trinidad.skin

## Class SkinAddition

- java.lang.Object
- - org.apache.myfaces.trinidad.skin.SkinAddition

-     public class SkinAddition
      extends Object

  SkinAdditions are defined in trinidad-skins.xml file <skin-addition> They are used by custom component developers who have created custom components, and they need a way to 'push' in their own stylesheet and resource bundle for these components into some skin of their choosing, most likely the simple skin. Skin objects contain zero or more SkinAdditions. The SkinAdditions' stylesheets are merged into the Skin's own stylesheet. The SkinAdditions' resource bundle is looked at along with the Skin's own resource bundle when Skin's getTranslatedValue is called.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinAddition(String styleSheetName)` Constructor takes a styleSheet name.
    `SkinAddition(String styleSheetName, String resourceBundleName)` Constructor takes a styleSheet name and a resourceBundle name.
    `SkinAddition(String styleSheetName, javax.faces.el.ValueBinding translationSourceValueBinding)` Deprecated.
    `SkinAddition(String styleSheetName, javax.el.ValueExpression translationSourceValueExpression)` Constructor takes a styleSheet name and a translationSource ValueExpression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceBundleName()` Gets the SkinAddition's resource bundle.
    `String` | `getStyleSheetName()` Gets the SkinAddition's style sheet name.
    `javax.faces.el.ValueBinding` | `getTranslationSourceValueBinding()` Deprecated.
    `javax.el.ValueExpression` | `getTranslationSourceValueExpression()` Gets the SkinAddition's translation source ValueExpresion.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinAddition

          public SkinAddition(String styleSheetName,
                      String resourceBundleName)

      Constructor takes a styleSheet name and a resourceBundle name.

    - #### SkinAddition

          public SkinAddition(String styleSheetName,
                      javax.el.ValueExpression translationSourceValueExpression)

      Constructor takes a styleSheet name and a translationSource ValueExpression.

    - #### SkinAddition

          public SkinAddition(String styleSheetName)

      Constructor takes a styleSheet name. resource bundle name and translation source value expression will be null.

    - #### SkinAddition

          @Deprecated
          public SkinAddition(String styleSheetName,
                                 javax.faces.el.ValueBinding translationSourceValueBinding)

      Deprecated.
      Constructor takes a styleSheet name and a translationSource ValueBinding.

  - ### Method Detail

    - #### getStyleSheetName

          public String getStyleSheetName()

      Gets the SkinAddition's style sheet name.

    - #### getResourceBundleName

          public String getResourceBundleName()

      Gets the SkinAddition's resource bundle. Note: A skin cannot have both a resourceBundleName and a translation source value expression. If they do, then the resourceBundleName takes precedence.

    - #### getTranslationSourceValueExpression

          public javax.el.ValueExpression getTranslationSourceValueExpression()

      Gets the SkinAddition's translation source ValueExpresion. The ValueExpression can point to a Map or a ResourceBundle. Note: A skin cannot have both a resourceBundleName and a translation source value expression. If they do, then the resourceBundleName takes precedence.

    - #### getTranslationSourceValueBinding

          @Deprecated
          public javax.faces.el.ValueBinding getTranslationSourceValueBinding()

      Deprecated.
      Gets the SkinAddition's translation source ValueBinding. The ValueBinding can point to a Map or a ResourceBundle. Note: A skin cannot have both a resourceBundleName and a translation source value binding. If they do, then the resourceBundleName takes precedence.

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.